%global packname  vcd
%global rlibdir  %{_datadir}/R/library


Name:             R-%{packname}
Version:          1.4.3
Release:          1%{?dist}.103
Summary:          Visualizing Categorical Data

Group:            Applications/Engineering 
License:          GPL-2
URL:              http://cran.r-project.org/web/packages/%{packname}/index.html
Source0:          http://cran.r-project.org/src/contrib/%{packname}_1.4-3.tar.gz
BuildRoot:        %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)

# Here's the R view of the dependencies world:
# Depends:   R-grid
# Imports:   R-stats R-utils R-MASS R-grDevices R-colorspace R-lmtest
# Suggests:  R-KernSmooth R-mvtnorm R-kernlab R-HSAUR R-coin
# LinkingTo:
# Enhances:

BuildArch:        noarch
Requires:         R-core
Requires:         R-grid 
Requires:         R-stats R-utils R-MASS R-grDevices R-colorspace R-lmtest 
#Requires:         R-KernSmooth R-mvtnorm R-kernlab R-HSAUR R-coin 
BuildRequires:    R-devel tex(latex) R-grid
BuildRequires:    R-stats R-utils R-MASS R-grDevices R-colorspace R-lmtest 
#BuildRequires:   R-KernSmooth R-mvtnorm R-kernlab R-HSAUR R-coin 

%description
Visualization techniques, data sets, summary and inference procedures
aimed particularly at categorical data. Special emphasis is given to
highly extensible grid graphics. The package was package was originally
inspired by the book "Visualizing Categorical Data" by Michael Friendly
and is now the main support package for a new book, "Discrete Data
Analysis with R" by Michael Friendly and David Meyer (2015).

%prep
%setup -q -c -n %{packname}

%build

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{rlibdir}
%{_bindir}/R CMD INSTALL -l %{buildroot}%{rlibdir} %{packname}
test -d %{packname}/src && (cd %{packname}/src; rm -f *.o *.so)
rm -f %{buildroot}%{rlibdir}/R.css
chmod a-x %{buildroot}%{rlibdir}/%{packname}/CITATION

%check
_R_CHECK_FORCE_SUGGESTS_=false %{_bindir}/R CMD check %{packname}

%clean
rm -rf %{buildroot}

%files
%defattr(-, root, root, -)
%dir %{rlibdir}/%{packname}
%doc %{rlibdir}/%{packname}/doc
%doc %{rlibdir}/%{packname}/demo
%doc %{rlibdir}/%{packname}/html
%{rlibdir}/%{packname}/DESCRIPTION
%doc %{rlibdir}/%{packname}/NEWS.Rd
%doc %{rlibdir}/%{packname}/CITATION
%{rlibdir}/%{packname}/INDEX
%{rlibdir}/%{packname}/NAMESPACE
%{rlibdir}/%{packname}/Meta
%{rlibdir}/%{packname}/R
%{rlibdir}/%{packname}/data
%{rlibdir}/%{packname}/help


%changelog
* Wed Jan 25 2017 Oleg Girko <ol@infoserver.lv> 1.4.3-1
- Initial package for Fedora
